@font-face {
    font-family: 'Roboto';
    src: url(/css/fonts/Roboto-Regular.ttf);
}
@font-face {
    font-family: 'Roboto Bold';
    src: url(/css/fonts/Roboto-Bold.ttf);
}

@font-face {
    font-family: 'Roboto Condensed';
    src: url(/css/fonts/Roboto-Condensed.ttf);
}
@font-face {
    font-family: 'Roboto Bold Condensed';
    src: url(/css/fonts/RobotoCondensed-Bold.ttf);
}
@font-face {
	font-family: 'Berlin Demi Bold';
	src: url('/css/fonts/BRLNSDB.woff2');
}

/* */


#main-calendar{
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    justify-content: center;
}

#fondo-calendario{
    position: fixed;
    z-index: 0;
    top: 40px;
    width: 100%;
    height: 100vh;
    background-image: url(/img/promociones/slider_promociones/bg02-d.agosto_chiringuito2025.webp);
    background-size: cover;
    background-repeat: no-repeat;
    inset:27px 0 0 0;
}

#content-calendar{
    position: relative;
    z-index: 1;
}
#content-calendar {
    display: grid;
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 30px;
    margin: 20px auto 0;
    max-width: calc(300px * 6);
    justify-content: center;
}
.container-calendario__calendario{
    opacity:1;
}
.calendario__celda-calendario{
    border: 1px dashed;
}

.azul-7{
    background-image:url("/img/calendarioAdviento/7-azul.webp");
}
.verde-7{
    background-image:url("/img/calendarioAdviento/7-verde.webp");
}
.campana{
    background-image:url("/img/calendarioAdviento/campana.webp");
}
.ciruela{
    background-image:url("/img/calendarioAdviento/ciruela.webp");
}
.diamante-rojo{
    background-image:url("/img/calendarioAdviento/diamante-rojo.webp");
}
.diamante-verde{
    background-image:url("/img/calendarioAdviento/diamante-verde.webp");
}
.fresa{
    background-image:url("/img/calendarioAdviento/fresa.webp");
}
.limon{
    background-image:url("/img/calendarioAdviento/limon.webp");
}

footer{
    z-index: 1;
}

@media(min-width:1024px){
    .container-calendario__calendario{
        margin: 20px auto 50px;
    }
}


/* */
.calendario__celda-calendario.invisible{
    opacity:0;
    display: none;
}
main{
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
}
.titulo-adviento picture{
    margin: 0 auto;
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 100px 0 0px;
}
.titulo-adviento img{
    width: 200px;
}

#cabecera-calendario {
    text-align: center;
    color: #000;
    position: fixed;
    z-index: 2;
}
.imagen-cabecera-adviento{
    background-image:url("/img/calendarioAdviento/background-calendario-mob.jpg");
    
}
.logo-verano2026{
    display: flex;
    justify-content: center;
    position: absolute;
    top: 0;
    right: 50%;
    left: 50%;
    z-index: -1;
}
.logo-verano2026 img{
    position: relative;
    width: 350px;
    height: 100%;
    max-width: none;
}
.container-calendario__calendario {
    width: 100%;
    max-width: 1325px;
    list-style: none;
    margin:210px auto 20px;
    padding:0 20px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(155px, 102px));
    gap: 8px;
    justify-content: center;
    position: relative;
    z-index: 1;
    opacity: 1;
    transition: opacity 1s linear;
}

.calendario__celda-calendario {
    width: 100%;
    height: 102px;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-color: #001e3569;
    display: flex;
    font-size: 25px;
    line-height: 25px;
    flex-direction: column;
    border-radius: 15px;
    align-items: flex-end;
    font-family: 'Roboto Bold';
    pointer-events: none;
    border: 1px solid;
}
.calendario__celda-calendario.apagado{
    pointer-events: none;
}
.calendario__celda-calendario.select{
    animation: shake 1s linear infinite;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    pointer-events: auto;
}

.calendario__celda-calendario a{
    position: relative;
    text-wrap: balance;
    text-align: center;
    width: 100%;
    height: 100%;
}
.calendario__celda-calendario p{
    text-align: right;
    margin: 8px 12px 0 0;
    font-family: 'Berlin Demi Bold';
    font-size:30px;
}
.fondo-apagado{
    width: 100%;
    height: 100vw;
    position: absolute;
    top: 0;
    z-index: 0;
    transition: all 1s linear;
}
.apagado {
    filter: brightness(0.5);
}


.adorno_arbol{
    background-image:url("/img/calendarioAdviento/arbol-1.png")    
}
.adorno_bola{
    background-image:url("/img/calendarioAdviento/bola-1.png")    
}
.adorno_copo{
    background-image:url("/img/calendarioAdviento/copo-1.png")    
}
.adorno_estrella{
    background-image:url("/img/calendarioAdviento/estrella-1.png")    
}
.adorno_galleta{
    background-image:url("/img/calendarioAdviento/galleta-1.png")    
}
.adorno_pina{
    background-image:url("/img/calendarioAdviento/pina-1.png")    
}
.adorno_regalo{
    background-image:url("/img/calendarioAdviento/regalo-1.png")    
}
.adorno_alce{
    background-image:url("/img/calendarioAdviento/alce-1.png")    
}


@keyframes shake {
  10% {
    transform: translateX(3px) rotate(2deg);
  }

  20% {
    transform: translateX(-3px) rotate(-2deg);
  }

  30% {
    transform: translateX(3px) rotate(2deg);
  }

  40% {
    transform: translateX(-3px) rotate(-2deg);
  }

  50% {
    transform: translateX(2px) rotate(1deg);
  }

  60% {
    transform: translateX(-2px) rotate(-1deg);
  }

  70% {
    transform: translateX(2px) rotate(1deg);
  }

  80% {
    transform: translateX(-2px) rotate(-1deg);
  }

  90% {
    transform: translateX(1px) rotate(0);
  }

  100% {
    transform: translateX(-1px) rotate(0);
  }
}

@media(min-width:440px){
    .titulo-adviento img{
        width: 400px;
    }
}

@media(min-width:833px){
    #cabecera-calendario {
        position: relative;
    }
    #container-calendario{
        margin-top: 0 !important;
    }
}

@media(min-width:1024px){
    main{
        background-repeat: no-repeat;
        padding-bottom: 60px;
    }
    .container-calendario__calendario{
        margin: 110px auto 20px;
    }
    .calendario__celda-calendario.invisible{
        opacity:0;
        display: block;
    }
    .container-calendario__calendario .invisible:nth-child(3){
        display:none;
    }
}
@media(min-width:1173px){
    .container-calendario__calendario .invisible:nth-child(3){
        display:block;
    }
    .logo-verano2026 img.logo-palmeras{
        width: 420px;
    }
    .palmera-move{
        width: 166px !important;
    }
}